﻿namespace TimeKeeper.Events
{
    /// <summary>
    /// This event is raised when actual project is changed.
    /// </summary>
    public class ActualProjectChanged
    {
        /// <summary>
        /// Id of projech which has been changed. Could be null if actual project is not set.
        /// </summary>
        public int? Id { get; private set; }

        public ActualProjectChanged(int? projectId)
        {
            Id = projectId;
        }
    }
}
