﻿using FluentNHibernate.Mapping;
using TimeKeeper.Entities;

namespace TimeKeeper.Mappings
{
    public sealed class ProjectTimeMap : ClassMap<ProjectTime>
    {
        public ProjectTimeMap()
        {
            Id(p => p.Id);
            Map(p => p.Date);
            Map(p => p.Time);
            References<Project>(x => x.Project).Not.Nullable();
        }
    }
}
